Package com.logicaldoc.core.document

# Class DocumentListenerManager

java.lang.Object
com.logicaldoc.core.document.DocumentListenerManager

@Component("documentListenerManager") public class DocumentListenerManager extends Object
A manager for document listeners. It's internals are initialized from the extension point 'DocumentListener' of the core plugin.

Since:
  4.0
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`DocumentListenerManager()`

## Method Summary

Modifier and Type
Method
Description
`static DocumentListenerManager`
`get()`
Gets the object available in the application context
`List<DocumentListener>`
`getListeners()`
The ordered list of listeners
`void`
`init()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DocumentListenerManager

public DocumentListenerManager()

## Method Details

### get

public static DocumentListenerManager get()
Gets the object available in the application context

Returns:
  the instance of this object in the application context

### init

@PostConstruct public void init()

### getListeners

public List<DocumentListener> getListeners()
The ordered list of listeners

Returns:
  the list of listeners